phc-k8 kernel patch

If you have trouble with PHC you can ask and hope for help here.
geos_one
Posts: 12
Joined: Tue 19. May 2009, 00:08
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1275: count(): Parameter must be an array or an object that implements Countable

Re: phc-k8 kernel patch request

Post by geos_one » Tue 19. May 2009, 19:11

DavidG wrote:Sure, that's fine with me, would be great if you could do that. Then I can focus just on the driver.
the first patch for 2.6.29 is ready
http://ftp.mars.arge.at/phc-k8/
Last edited by geos_one on Sun 28. Jun 2009, 16:56, edited 1 time in total.

User avatar
DavidG
Posts: 180
Joined: Fri 18. Jul 2008, 11:25
Contact:

Re: phc-k8 kernel patch

Post by DavidG » Wed 10. Jun 2009, 10:24

Thanks for the effort!

It seems that both of my original drivers do not compile for 2.6.29, did you modify the code to get it working for 2.6.29? Looking at the patch, I don't think you have, so it shouldn't compile AFAIK?

Anyway, I'm hoping to release a 0.4.1 version of my driver that will be both compatible to kernels < 2.6.29 and >= 2.6.29. It will have a couple of conditional sections for before and after 2.6.29.
A bank is a place where they lend you an umbrella in fair weather and ask for it back when it begins to rain -- R. Frost

geos_one
Posts: 12
Joined: Tue 19. May 2009, 00:08
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1275: count(): Parameter must be an array or an object that implements Countable

Re: phc-k8 kernel patch

Post by geos_one » Wed 10. Jun 2009, 10:31

DavidG wrote:Thanks for the effort!

It seems that both of my original drivers do not compile for 2.6.29, did you modify the code to get it working for 2.6.29? Looking at the patch, I don't think you have, so it shouldn't compile AFAIK?

Anyway, I'm hoping to release a 0.4.1 version of my driver that will be both compatible to kernels < 2.6.29 and >= 2.6.29. It will have a couple of conditional sections for before and after 2.6.29.
its compilig fine i just did not make just patch i took your changes and merged them properly into the 2.6.29 version.
http://mars.arge.at/

User avatar
DavidG
Posts: 180
Joined: Fri 18. Jul 2008, 11:25
Contact:

Re: phc-k8 kernel patch

Post by DavidG » Tue 23. Jun 2009, 10:51

I just posted a newer driver which contains some fixes. You could update your patches with it. There's some "#if KERNEL_VERSION" sections that can be omitted. By the way, maybe you already know, but you can subscribe to the "Releases" topic to automatically stay informed about new releases.
A bank is a place where they lend you an umbrella in fair weather and ask for it back when it begins to rain -- R. Frost

patrick85
Posts: 7
Joined: Sun 7. Jun 2009, 09:48
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1275: count(): Parameter must be an array or an object that implements Countable

Re: phc-k8 kernel patch

Post by patrick85 » Tue 23. Jun 2009, 14:02

The new phc-k8 driver is working great on 2.6.29. Thanks for that and keep on the great work!

geos_one
Posts: 12
Joined: Tue 19. May 2009, 00:08
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1275: count(): Parameter must be an array or an object that implements Countable

Re: phc-k8 kernel patch

Post by geos_one » Sun 28. Jun 2009, 16:58

updated the patch for 0.4.1 and kernel 2.6.30
the patches for older kernel are on the way

Post Reply
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1275: count(): Parameter must be an array or an object that implements Countable